## com.lowagie.text.pdf
Class PdfStructureElement.PdfStructureObj

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfStructureElement.PdfStructureObj

Enclosing class:
  PdfStructureElement

     class PdfStructureElement.PdfStructureObj

extends PdfDictionary

Another dictionary residing in the /K of a leaf element. A PdfStructureObj indicates than an entire indirect object represents the marked content in question. Annotations and Form Fields are the most common examples. Again, a structObj can be used to represent an object in the reading order that exists on more than one page.

Since:
  2.1.5

Field Summary

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfStructureElement.PdfStructureObj(PdfIndirectReference objRef, PdfIndirectReference pageRef)`

Method Summary

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getDirectObject, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfStructureElement.PdfStructureObj

    public PdfStructureElement.PdfStructureObj(PdfIndirectReference objRef,
                                               PdfIndirectReference pageRef)

Hosted by Hostbasket